Loading...
Searching...
No Matches
SubstructLibrary.h File Reference
`#include <utility>`
`#include <RDGeneral/export.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/MolPickler.h>`
`#include <GraphMol/MolBundle.h>`
`#include <GraphMol/SmilesParse/SmilesParse.h>`
`#include <GraphMol/SmilesParse/SmilesWrite.h>`
`#include <GraphMol/Fingerprints/Fingerprints.h>`
`#include <GraphMol/Substruct/SubstructMatch.h>`
`#include <DataStructs/ExplicitBitVect.h>`
`#include <DataStructs/BitOps.h>`
`#include <GraphMol/MolOps.h>`
`#include <GraphMol/TautomerQuery/TautomerQuery.h>`
`#include <GraphMol/GeneralizedSubstruct/XQMol.h>`
`#include <algorithm>`
`#include <string>`
`#include <boost/lexical_cast.hpp>`
`#include "SubstructLibrarySerialization.h"`

Go to the source code of this file.

## Classes

class | RDKit::MolHolderBase
| Base class API for holding molecules to substructure search. More...
class | RDKit::MolHolder
| Concrete class that holds molecules in memory. More...
class | RDKit::CachedMolHolder
| Concrete class that holds binary cached molecules in memory. More...
class | RDKit::CachedSmilesMolHolder
| Concrete class that holds smiles strings in memory. More...
class | RDKit::CachedTrustedSmilesMolHolder
| Concrete class that holds trusted smiles strings in memory. More...
class | RDKit::FPHolderBase
| Base FPI for the fingerprinter used to rule out impossible matches. More...
class | RDKit::PatternHolder
class | RDKit::TautomerPatternHolder
class | RDKit::KeyHolderBase
class | RDKit::KeyFromPropHolder
class | RDKit::SubstructLibrary
| Substructure Search a library of molecules. More...
struct | RDKit::ExtendedQueryMol

## Namespaces

namespace | RDKit
| Std stuff.

## Functions

RDKIT_SUBSTRUCTLIBRARY_EXPORT bool | RDKit::SubstructLibraryCanSerialize ()